Drupal.behaviors.tableSelect = {
  attach: function(context) {
    (function ($) {
      $("li.comment-edit a").each(function(){
        var seconds = parseInt($(this).html().match(/(\d+) seconds left/)[1]);
        _edit_limit_comment_timer_update($(this), seconds);
      })
      $(".messages").each(function(){
        var match = $(this).html().match(/You have (\d+) seconds left/);
        if (match) {
          _edit_limit_timer_update_message($(this), match[1]);
        }
      });
    })(jQuery);
  }
};

function _edit_limit_comment_timer_update(link, seconds) {
  (function ($) {
    if (seconds > 0) {
      seconds--;
      setTimeout(function(){
        $(link).html('edit (' + seconds + ' seconds left)');
        _edit_limit_comment_timer_update(link, seconds);
      }, 1000);
    }
    else {
      $(link).html('');
    }
  })(jQuery);
}

function _edit_limit_timer_update_message(link, seconds) {
  (function ($) {
    if (seconds > 0) {
      seconds--;
      setTimeout(function(){
        var replace = $(link).html().replace(/You have (\d+) sec/, 'You have ' + seconds + ' sec');
        $(link).html(replace);
        _edit_limit_timer_update_message(link, seconds);
      }, 1000);
    }
    else {
      $(link).html('This can no longer be edited.');
      $(link).toggleClass('status');
      $(link).toggleClass('error');
    }
  })(jQuery);
}






